import { request } from "@/api/config.js"

// 抽卡相关接口

// 抽卡列表
export function raffleListApi(data) {
  return request({
    url: '/wx/raffle/list',
    method: 'get',
    data: data
  })
}
export function raffleDetailApi(data) {
  return request({
    url: '/wx/raffle/detail',
    method: 'get',
    data: data
  })
}

// 卡牌分页
export function prizePoolStatusApi(data) {
  return request({
    url: '/wx/raffle/prizePoolStatus',
    method: 'get',
    data: data
  })
}
// 奖池预览
export function prizeListApi(data) {
  return request({
    url: '/wx/raffle/prize/list',
    method: 'get',
    data: data
  })
}
// 中奖记录
// ​/wx/raffle/prize/user/list
export function userPrizeListApi(data) {
  return request({
    url: '/wx/raffle/prize/user/list',
    method: 'get',
    data: data
  })
}

// 提交抽卡
export function drawCardSubmitApi(data) {
  return request({
    url: '/wx/raffle/user/submit',
    method: 'post',
    data: data
  })
}

// 抽卡结果
export function submittResultApi(data) {
  return request({
    url: '/wx/raffle/user/submit/result',
    method: 'get',
    data: data
  })
}
